<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- 
Copyright (c) 2012, Texas Instruments. All rights reserved.

This program and the accompanying materials are made available under the 
terms of the Eclipse Public License v1.0 and Eclipse Distribution License
v. 1.0 which accompanies this distribution. The Eclipse Public License is
available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse
Distribution License is available at 
    http://www.eclipse.org/org/documents/edl-v10.php.

Contributors:
   Texas Instruments - initial implementation
-->

<gep name="LoggerCallback" title="Callback-based Logger" version="1">

<page name="Module" title="Module Settings">
<html><body><table>
  <tr><td colspan="2">
    <control type="checkbox" label="Add LoggerCallback to my configuration" value="value:this.$used" bold="true"/></td>
  </tr>
  <tr>
    <td colspan="2">
    <h1>Description</h1>
      <form>
        <p>The LoggerCallback module provides "back-end" support for the <a href="http://rtsc.eclipse.org/cdoc-tip/index.html#xdc/runtime/Log.html">Log</a> module. This module allows user to define C functions to support the handling of events from the Log module.  For more information see the <a href="http://rtsc.eclipse.org/cdoc-tip/index.html#xdc/runtime/LoggerCallback.html">LoggerCallback reference</a> documentation.</p>
        <p> </p>
      </form>
    </td>
  </tr>
  <tr></tr>
  <tr><td>
    <h1>Event Output Options</h1>
    <table>
      <tr>
        <td><control type="label" label="Logger event output function"/></td>
        <td><control type="editbox" 
             value="value:this.outputFxn"
             tooltip="value:this.outputFxn.$summary"/></td>
      </tr>
      <tr>
        <td><control type="label" label="Logger instance create function"/></td>
        <td><control type="editbox"
             value="value:this.createInstFxn"
             tooltip="value:this.createInstFxn.$summary"/></td>
      </tr>

    </table>
  </td>
  </tr>
</table></body></html>

</page>
<page name="Instance" title="Instance Settings" DPI="10">
<html><body><table>
  <tr>
    <td>
      <h1>LoggerCallback's</h1>
      <table><tr>
        <td><control type="listbox" id="master" text="value:this.$activeInstance" width="10" height="15" align="fill" labels="value:this"/></td>
        <td>
          <control type="pushbutton" label="Add ..." align="fill" link="action:New"/>
          <control type="pushbutton" label="Remove" align="fill" link="action:Delete" context="value:widget.master.selection"/>
        </td>
      </tr></table>
    </td>
    <td context="value:widget.master.selection">
      <h1>Required Settings</h1>
      <table>
        <tr>
          <td><control type="label" label="Handle" align="left"/></td>
          <td><control type="editbox"
               value="value:this.instance.name"
               tooltip="Handle name"/></td>
        </tr>
        <tr>
          <td><control type="label" label="Argument" align="left"/></td>
          <td><control type="editbox"
               value="value:this.arg"
               tooltip="value:this.arg.$summary"/></td>
        </tr>
      </table>
    </td>
  </tr>
</table></body></html>
</page>
<properties name="Advanced" title="All Options" enabled="true" visible="true" link="this"/>
</gep>
<!--
/*
 * @(#) xdc.runtime; 2, 1, 0,0; 11-8-2017 17:11:26; /db/ztree/library/trees/xdc/xdc-D20.1/src/packages/
 */
-->

